/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	CONFIG:		SPECIFIC SYSTEM CONFIGURATION		     */


/*****************************************************************************\

 [English]

 JE CHERCHE UNE BONNE AME POUR LA TRADUCTION. MERCI D'AVANCE.

 [French]

 ATTENTION: ce fichier est spcifique  votre systme et  la manire dont a
 t produite cette installation de eXtended C Library (comme le compilateur
 qui a t utilis).
 Pour cette raison, il ne peut et ne sera jamais inclus par aucun des fichiers
 d'en-tte de eXtended C Library. 

\*****************************************************************************/


#ifndef __XC_CONFIG_H
#define __XC_CONFIG_H


/* Define if using alloca.c.  */
/* #undef C_ALLOCA */

/* Define if type char is unsigned and you are not using gcc.  */
#ifndef __CHAR_UNSIGNED__
/* #undef __CHAR_UNSIGNED__ */
#endif

/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
   This function is required for alloca.c support on those systems.  */
/* #undef CRAY_STACKSEG_END */

/* Define if you have alloca, as a function or macro.  */
#define HAVE_ALLOCA 1

/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
#define HAVE_ALLOCA_H 1

/* If using the C implementation of alloca, define if you know the
   direction of stack growth for your system; otherwise it will be
   automatically deduced at run-time.
 STACK_DIRECTION > 0 => grows toward higher addresses
 STACK_DIRECTION < 0 => grows toward lower addresses
 STACK_DIRECTION = 0 => direction of growth unknown
 */
/* #undef STACK_DIRECTION */

/* Define if your processor stores words with the most significant
   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
/* #undef WORDS_BIGENDIAN */

/* Define if the X Window System is missing or not being used.  */
/* #undef X_DISPLAY_MISSING */

#define HAVE_FMAX 1
#define HAVE_FMAXF 1
#define HAVE_FMAXL 1
#define HAVE_FMIN 1
#define HAVE_FMINF 1
#define HAVE_FMINL 1
#define HAVE_ALLOCA 1
#define HAVE_STDBOOL_H 1
#define HAVE_STDINT_H 1
#define HAVE_TGMATH_H 1
#define HAVE_ASPRINTF 1
#define HAVE_VASPRINTF 1
#define HAVE_STRDUP 1

/* The number of bytes in a int.  */
#define SIZEOF_INT 4

/* Define if you have the Xutils library (-lXutils).  */
#define HAVE_LIBXUTILS 1


#endif /* XC CONFIG HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
